#include <OneWire.h>
#include <DallasTemperature.h>
#include <dht.h>

#define DHT11_PIN 7
#define ONE_WIRE_BUS_1 2

dht DHT;
OneWire oneWire_in(ONE_WIRE_BUS_1);
float temperature;
float sensorValue;
float powervoltage=5;
int chk; 
DallasTemperature sensor_inhouse(&oneWire_in);

void setup(void)
{
    Serial.begin(9600);
    sensor_inhouse.begin();
}

void loop(void)
{   chk = DHT.read11(DHT11_PIN);
    sensor_inhouse.requestTemperatures();
    Serial.print(sensor_inhouse.getTempCByIndex(0));
    sensorValue = analogRead(A0);
    temperature=(sensorValue/1023)*powervoltage*100;
    Serial.print(" "); 
    Serial.print(temperature);  
    Serial.print(" "); 
    Serial.print(DHT.temperature);
    //Serial.print(" ");
    //Serial.println(DHT.humidity);
    Serial.println();
    delay(100);
}



